CartesianTierPlotter (Lucene 3.6.2 API)
Keywords: org.apache.lucene.spatial.tier.projections.CartesianTierPlotter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.spatial.tier.projections
Class CartesianTierPlotter

    java.lang.Object
      org.apache.lucene.spatial.tier.projections.CartesianTierPlotter

Deprecated.

    @Deprecated
    public class CartesianTierPlotter

extends Object

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Field Summary
`static String` | `DEFALT_FIELD_PREFIX` Deprecated.

Constructor Summary
`CartesianTierPlotter(int tierLevel, IProjector projector, String fieldPrefix)` Deprecated.

Method Summary
`int` | `bestFit(double miles)` Deprecated. Find the tier with the best fit for a bounding box Best fit is defined as the ceiling of log2 (circumference of earth / distance) distance is defined as the smallest box fitting the corner between a radius and a bounding box.
`double` | `getTierBoxId(double latitude, double longitude)` Deprecated. TierBoxId is latitude box id + longitude box id where latitude box id, and longitude box id are transposed in to position coordinates.
`String` | `getTierFieldName()` Deprecated. get the string name representing current tier _localTier<tiedId>
`String` | `getTierFieldName(int tierId)` Deprecated. get the string name representing tierId _localTier<tierId>
`double` | `getTierVerticalPosDivider()` Deprecated.
`double` | `log2(double value)` Deprecated. a log to the base 2 formula `Math.log(value) / Math.log(2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFALT_FIELD_PREFIX

    public static final String DEFALT_FIELD_PREFIX

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### CartesianTierPlotter

    public CartesianTierPlotter(int tierLevel,
                                IProjector projector,
                                String fieldPrefix)

  Deprecated.

Method Detail

### getTierVerticalPosDivider

    public double getTierVerticalPosDivider()

  Deprecated.

### getTierBoxId

    public double getTierBoxId(double latitude,
                               double longitude)

  Deprecated.
  TierBoxId is latitude box id + longitude box id where latitude box id, and longitude box id are transposed in to position coordinates.

  Parameters:
    `latitude` -
    `longitude` -

### getTierFieldName

    public String getTierFieldName()

  Deprecated.
  get the string name representing current tier _localTier<tiedId>

### getTierFieldName

    public String getTierFieldName(int tierId)

  Deprecated.
  get the string name representing tierId _localTier<tierId>

  Parameters:
    `tierId` -

### bestFit

    public int bestFit(double miles)

  Deprecated.
  Find the tier with the best fit for a bounding box Best fit is defined as the ceiling of log2 (circumference of earth / distance) distance is defined as the smallest box fitting the corner between a radius and a bounding box. Distances less than a mile return 15, finer granularity is in accurate

### log2

    public double log2(double value)

  Deprecated.
  a log to the base 2 formula `Math.log(value) / Math.log(2)`

  Parameters:
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD